<nz-table #table [nzData]="list" [nzLoading]="isLoading" nzSize="small">
  <thead>
    <tr>
      <th nzAlign="center">#</th>
      <th nzAlign="center">IP</th>
      <th nzAlign="center">Agent</th>
      <th nzAlign="center">Start date</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of table.data">
      <td nzAlign="center">{{ data.id }}</td>
      <td nzAlign="center">{{ data.ip }}</td>
      <td nzAlign="center">{{ data.userAgent }}</td>
      <td nzAlign="center">{{ data.createdOn }}</td>
      <td>
        <button nz-button nzSize="small" nzShape="round" *ngIf="data.actionsCount > 0" (click)="showActions(data.id)" nz-tooltip="Show actions">
          <span nz-icon nzType="eye" nzTheme="outline"></span>
        </button>
      </td>
    </tr>
  </tbody>
</nz-table>
